Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 766036 (CVE-2020-36193) - <dev-php/PEAR-Archive_Tar-1.4.12: Directory traversal vulnerability (CVE-2020-36193)
Summary: <dev-php/PEAR-Archive_Tar-1.4.12: Directory traversal vulnerability (CVE-2020...
Status: RESOLVED FIXED
Alias: CVE-2020-36193
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: Gentoo Security
URL:
Whiteboard: B3 [glsa+]
Keywords:
Depends on:
Blocks:
 
Reported: 2021-01-18 21:00 UTC by Sam James
Modified: 2021-07-21 13:09 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sam James archtester gentoo-dev Security 2021-01-18 21:00:27 UTC
"Tar.php in Archive_Tar through 1.4.11 allows write operations with Directory Traversal due to inadequate checking of symbolic links, a related issue to CVE-2020-28948."

Patch: https://github.com/pear/Archive_Tar/commit/cde460582ff389404b5b3ccb59374e9b389de916
Comment 1 Sam James archtester gentoo-dev Security 2021-01-20 00:03:07 UTC
amd64 arm ppc ppc64 sparc x86 (ALLARCHES) done

all arches done
Comment 2 Brian Evans Gentoo Infrastructure gentoo-dev 2021-01-20 15:17:57 UTC
Old ebuilds removed.  Ready for security decision.
Comment 3 John Helmert III gentoo-dev Security 2021-01-20 17:04:58 UTC
(In reply to Brian Evans from comment #2)
> Old ebuilds removed.  Ready for security decision.

Thanks!
Comment 4 GLSAMaker/CVETool Bot gentoo-dev 2021-01-26 00:22:18 UTC
This issue was resolved and addressed in
 GLSA 202101-23 at https://security.gentoo.org/glsa/202101-23
by GLSA coordinator Sam James (sam_c).